using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wClub_Topic_Flower:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-6-4 10:33:12
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("鲜花投票","网站页面","鲜花投票",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();

	int ID=Convert.ToInt32(Request.QueryString["ID"]);
	int BID=Convert.ToInt32(Request.QueryString["BID"]);

	SqlCommand 语句=new SqlCommand("UPDATE ["+程序.数据表前缀+"社区_论坛_贴子] SET [鲜花数]=[鲜花数]+1 WHERE [ID]="+ID+" AND [所属版块]="+BID,访问.连接);
	语句.ExecuteNonQuery();

	Response.Redirect(常用.处理地址("Topic.aspx?BID="+BID+"&ID="+ID,访问.用户["标识"].ToString()));		返回值.Append(@"");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
}